routes/web.php
Route::get('/filter_projects', 'Settings\ProjectsController@filter_projects')->name('filter_projects');
Route::get('/projects/create_staff/{id}', 'Settings\ProjectsController@create_staff')->name('projects.create_staff');
Route::post('/projects/store_staff', 'Settings\ProjectsController@store_staff')->name('projects.store_staff');

Route::get('/bringProjectsStaff/{id}', 'Settings\ProjectsController@bringProjectsStaff')->name('bringProjectsStaff');
Route::get('list_staff/{id?}', 'Settings\ProjectsController@list_staff')->name('list_staff');
Route::get('staff_destroy/{id?}', 'Settings\ProjectsController@staff_destroy')->name('staff_destroy');
Route::get('staff_add/{id?}', 'Settings\ProjectsController@staff_add')->name('staff_add');
Route::post('staff_store', 'Settings\ProjectsController@staff_store')->name('staff_store');

/** Contractors Staff */
Route::resource('contractor_staff', 'Settings\ContractorStaffController');
Route::get('/contractor_staff', 'Settings\ContractorStaffController@index')->name('contractor_staff');
Route::get('/filter_contractor_staff', 'Settings\ContractorStaffController@filter_contractor_staff')->name('filter_contractor_staff');
Route::post('/contractor_modulesByDepartment', 'Settings\ContractorStaffController@modulesByDepartment')->name('contractor_modulesByDepartment');
Route::post('/contractor_sectionsByModule', 'Settings\ContractorStaffController@sectionsByModule')->name('contractor_sectionsByModule');
Route::post('/contractor_rolesBySections', 'Settings\ContractorStaffController@rolesBySections')->name('contractor_rolesBySections');

/*** Routes of Contractor's Project ***/
Route::resource('contractor_projects','ContractorProjectController')->except(['index']);
Route::get('/contractor_project/{con_id}/{dep_id}','ContractorProjectController@index')->name('contractor_project');
Route::get('/contractor_projects/view/{id}/{dep_id}','ContractorProjectController@view')->name('contractor_projects.view');
Route::post('/filter_contractor_project','ContractorProjectController@filter_contractor_project')->name('filter_contractor_project');

/*** Routes of Work Categroy Controller ***/
Route::resource('work_category','Settings\WorkCategoryController');
Route::get('/work_category','Settings\WorkCategoryController@index')->name('work_category');
Route::get('/filterWorkCategory','Settings\WorkCategoryController@filterWorkCategory')->name('filterWorkCategory');

/*** Routes of Feature of Work  Controller ***/
Route::resource('feature_of_work','Settings\FeatureOfWorkController');
Route::get('/feature_of_work','Settings\FeatureOfWorkController@index')->name('feature_of_work');
Route::get('/filterFeatureOfWork','Settings\FeatureOfWorkController@filterFeatureOfWork')->name('filterFeatureOfWork');


/*** Routes of Inspection  Controller ***/
Route::resource('inspection','Settings\InspectionController');
Route::get('/inspection','Settings\InspectionController@index')->name('inspection');
Route::get('/filterInspection','Settings\InspectionController@filterInspection')->name('filterInspection');
Route::post('/more_inspection_sub','Settings\InspectionController@more_inspection_sub')->name('more_inspection_sub');
Route::get('/getBillOfQuantity/{id}/{dep_id}','Settings\InspectionController@getBillOfQuantity')->name('getBillOfQuantity');

/*** Routes of Inspection  Controller ***/
Route::resource('three_phase_Inspection','ThreePhaseInspectionController')->except(['index','show']);
Route::get('/three_phase_Inspection/show/{pro_id}/{bq_id}/{loc_id}','ThreePhaseInspectionController@show')->name('three_phase_Inspection/show');
Route::get('/three_phase_Inspection/{id}/{dep_id}','ThreePhaseInspectionController@index')->name('three_phase_Inspection');
Route::get('/three_phase_Inspection/list/{id}/{dep_id}/{loc_id}','ThreePhaseInspectionController@list')->name('three_phase_Inspection/list');
Route::get('/getTreeView','ThreePhaseInspectionController@getTreeView')->name('getTreeView');
Route::post('/getSubInepection','ThreePhaseInspectionController@getSubInepection')->name('getSubInepection');
Route::get('/getInspectionDetails','ThreePhaseInspectionController@getInspectionDetails')->name('getInspectionDetails');


/*** Progress ***/
Route::get('/progress/{id?}', 'ProgressController@index')->name('progress');
Route::post('/filter_progress', 'ProgressController@filter_progress')->name('filter_progress');
Route::get('/progress_notification/{id?}', 'ProgressController@progress_notification')->name('progress_notification');
Route::post('progress/priority', 'ProgressController@priority')->name('progress.priority');
Route::get('progress/priority/priority_add/{id?}', 'ProgressController@priority_add')->name('progress.priority_add');

/*** Routes of BQ Schedules ***/
Route::resource('BQSchedules','BQSchedulesController')->except(['index']);
Route::get('/BQSchedule/{id}/{dep_id}','BQSchedulesController@index')->name('BQSchedule');
Route::get('/BQSchedule/list/{id}/{dep_id}/{loc_id}','BQSchedulesController@list')->name('BQSchedule/list');
Route::post('/calculate_schedules','BQSchedulesController@calculate_schedules')->name('BQSchedules.calculate_schedules');
Route::get('BQSchedule/make_base/{pro_id}/{loc_id}','BQSchedulesController@make_base')->name('BQSchedule.make_base');
Route::get('/BQSchedule/base/{id}/{dep_id}/{loc_id}','BQSchedulesController@base')->name('BQSchedule.base');

/** Daily Reports route   */
Route::get('daily_report/{project_id}','DailyReportController@index')->name('daily_report.index');
Route::resource('daily_report','DailyReportController')->except(['index']);
Route::get('daily_report/notifications/{id}/{con_id}/{dep_id}', 'DailyReportController@list_notification')->name('daily_report/notifications');
Route::get('daily_report/filterDailyReports', 'DailyReportController@filterDailyReports')->name('filterDailyReports');

Route::post('daily_report/weather','DailyReportController@weather')->name('weather.index');
Route::post('daily_report/weather/store','DailyReportController@storeWeather')->name('daily_weather.store');
Route::post('daily_report/weather/update','DailyReportController@updateWeather')->name('daily_weather.update');

Route::post('daily_report/qcnarrative','DailyReportController@qcNarrative')->name('qcnarrative.index');
Route::post('daily_report/qcnarrative/store','DailyReportController@qcNarrativeStore')->name('qcnarrative.store');
Route::post('daily_report/qcnarrative/edit','DailyReportController@qcNarrativeEdit')->name('qcnarrative.edit');
Route::post('daily_report/qcnarrative/update','DailyReportController@qcNarrativeUpdate')->name('qcnarrative.update');

Route::post('daily_report/qctest','DailyReportController@qcTest')->name('qctest.index');
Route::post('daily_report/qctest/store', 'DailyReportController@qcTestStore')->name('qcTest.store');
Route::post('daily_report/qctest/edit', 'DailyReportController@qcTestEdit')->name('qcTest.edit');
Route::post('daily_report/qctest/update', 'DailyReportController@qcTestUpdate')->name('qcTest.update');
Route::post('daily_report/qctest/delete', 'DailyReportController@qcTestDelete')->name('qcTest.delete');

Route::post('daily_report/activities','DailyReportController@activities')->name('daily_activities.index');
Route::post('daily_report/activities/store', 'DailyReportController@activitiesStore')->name('daily_activities.store');
Route::post('daily_report/activities/edit', 'DailyReportController@activitiesEdit')->name('daily_activities.edit');
Route::post('daily_report/activities/update', 'DailyReportController@activitiesUpdate')->name('daily_activities.update');
Route::post('daily_report/activities/delete', 'DailyReportController@activitiesDelete')->name('daily_activities.delete');

Route::post('daily_report/location','DailyReportController@location')->name('location.index');
Route::post('daily_report/location/store', 'DailyReportController@locationStore')->name('location.store');
Route::post('daily_report/location/update','DailyReportController@locationUpdate')->name('location.update');

Route::post('daily_report/equipment','DailyReportController@equipment')->name('equipment.index');
Route::post('aily_report/equipment/store', 'DailyReportController@equipmentStore')->name('equipment.store');
Route::post('aily_report/equipment/edit', 'DailyReportController@equipmentEdit')->name('equipment.edit');
Route::post('aily_report/equipment/update', 'DailyReportController@equipmentUpdate')->name('equipment.update');
Route::post('aily_report/equipment/delete', 'DailyReportController@equipmentDelete')->name('equipment.delete');

Route::post('daily_report/labor','DailyReportController@labor')->name('labor.index');
Route::post('daily_report/labor/store', 'DailyReportController@laborStore')->name('labor.store');
Route::post('daily_report/labor/edit', 'DailyReportController@laborEdit')->name('labor.edit');
Route::post('daily_report/labor/update', 'DailyReportController@laborUpdate')->name('labor.update');
Route::post('daily_report/labor/delete', 'DailyReportController@laborDelete')->name('labor.delete');

Route::post('daily_report/deficiencey_item','DailyReportController@deficiencey_item')->name('deficiencey_item.index');
Route::post('/bringUnit', 'DailyReportController@bringUnit')->name('bringUnit');
Route::post('/bringAmount', 'DailyReportController@bringAmount')->name('bringAmount');

/*** Accidents ***/
Route::post('daily_report/accidents','DailyReportController@accidents')->name('accidents.index');
Route::post('daily_report/accidents/store','DailyReportController@accidentsStore')->name('accidents.store');
Route::post('daily_report/accidents/edit','DailyReportController@accidentsEdit')->name('accidents.edit');
Route::post('daily_report/accidents/update','DailyReportController@accidentsUpdate')->name('accidents.update');
/*** Photos ***/
Route::post('daily_report/photos','DailyReportController@photos')->name('photos.index');
Route::post('daily_report/photos/store','DailyReportController@photosStore')->name('photos.store');

app/models/ThreePhaseInspection.php
<?php

namespace App\models;

use Illuminate\Database\Eloquent\Model;
use Spatie\Activitylog\Traits\LogsActivity;

class ThreePhaseInspection extends Model
{
    use LogsActivity;
    protected $connection = 'pmis';
    public function threephaseinspection()
    {
        $this->belongsTo('App\models\Settings\Inspection');
    }

    public function inspectionSub()
    {
        return $this->belongsTo('App\models\Settings\InspectionSub','inspection_sub_id');
    }

    public function locations()
    {
        return $this->belongsTo('App\models\Plan_locations','project_location_id');
    }

    public function project()
    {
        return $this->belongsTo('App\models\Plans','project_id','id');
    }


}

app/Http/Controllers/ProgressController.php
<?php
namespace App\Http\Controllers;
use Illuminate\Http\Request;
use Illuminate\Notifications\Notification;
use Illuminate\Support\Facades\session;
use Illuminate\Support\Facades\Input;
use Illuminate\Support\Str;
use App\Notifications\NewProject;
use App\models\Plans;
use App\models\Daily_report_bq;
use Redirect;
use DB;

class ProgressController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('auth');
    }

    public function index($dep_id)
    {
        // Check if department id is not exist
        if($dep_id=='0' AND session('current_department')=='0')
        {
            return Redirect::route("home");
        }
        // Get department id
        $depID = decrypt($dep_id);
        $data['dep_id'] = $depID;
        // Check user access in this section
        if(!check_my_section(array($depID),'pmis_progress'))
        {
        return view('access_denied');
        }
        // Set current section in session
        session(['current_section' => "pmis_progress"]);
        $lang = get_language();
        $data['lang'] = $lang;
        // Get records
        $data['records'] = Plans::whereHas('project_location', function($query){
            $query->where('status','0');
        })->whereHas('share', function($query) use ($depID){
            $query->where('share_to',$depID);
            $query->where('share_to_code','pmis_progress');
        })->orderBy('id','desc')->paginate(10)->onEachSide(1);
        //Get URL Segments
        $data['segments'] = request()->segments();
        // Load view to show result
        if(Input::get('ajax') == 1)
        {
            return view('pmis/progress/list_ajax',$data);
        }
        else
        {
            return view('pmis/progress/list',$data);
        }
    }

    public function filter_progress(Request $request)
    {
        // Get Language
        $lang = get_language();
        // Get department
        $dep_id = decrypt($request->department_id);
        // Get section code
        $section = $request->section;
        // Search Shared Plan
        $records  = Plans::searchProgressProjects($request->condition,$request->field,$request->value,$dep_id,$section,'0');
        // Load View to display records
        return view('pmis/progress/list_filter',compact('records','lang','request','dep_id'));
    }

    /**
     * Bill of quantities chart.
     *
     * @return \Illuminate\Http\Response
     */
    public function BQChart($enc_id=0)
    {
        $lang = get_language();
        $data['lang'] = $lang;
        $id = decrypt($enc_id);//project id
        $data['enc_id'] = $enc_id;
        $userid = userid();
        //Get project
        $records = Plans::find($id);
        $data['records'] = $records;
        // Get project summary
        $data['summary'] = $records;
        //Get all performed BQ
        $data['reportBQ'] = Daily_report_bq::select(DB::raw('sum(amount) as amounts, operation_type'))->where('project_id',$id)->where('type',0)->groupBy('operation_type')->get();
        //Default value for remained BQ
        $data['remained'] = array();
        // Load view to show result
        return view('pmis/progress/BQChart/chart',$data);
    }

    /**
     * Change project priority.
     *
     * @return \Illuminate\Http\Response
     */
    public function priority(Request $request)
    {
        // Validate the request...
        $validates = $request->validate([
            'priority' => 'required',
        ]);
        $record_id = $request->record_id;
        // Change project priority
        $record = Plans::find($record_id);
        $record->priority = $request->priority;
        $record = $record->save();
        if($record)
        {
            Session()->flash('success',  __("global.success_process_msg"));
        }
        else
        {
            Session()->flash('fail', __("global.failed_msg"));
        }
    }

    /**
     * Store project priority form.
     *
     * @return \Illuminate\Http\Response
     */
    public function priority_add($id)
    {
        // Get project id
        $record_id = decrypt($id);
        // Get project
        $record = Plans::find($record_id);
        // Load view to show result
        return view('pmis/progress/priority_add', compact('record_id', 'record'));
    }

}
?>

resources/views/pmis/progress/three_phase_inspection/details.blade.php
@if(count($details)>0)
    <div class="m-portlet m-portlet--mobile table-responsive">
        <table class="table table-bordered overflow-auto ">
            <thead>
                <tr class="bg-dark text-white">
                    <th scope="col" width="15%">{{ trans('global.number') }}</th>
                    <th scope="col" width="25%">{{ trans('global.status') }}</th>
                    <th scope="col" width="60%">{{ trans('requests.description') }}</th>
                </tr>
            </thead>
            <tbody>
                @if(count($details)>0)
                    @foreach($details as $item)
                        <tr>
                            <td>{{ $loop->iteration }}</td>
                            <td>{{ getStaticNameByID("static_data",$item->status,$lang) }}</td>
                            <td class="wrap">{{ $item->description }}</td>
                        </tr>
                    @endforeach
                @endif
            </tbody>
        </table>
    </div>
@endif

resources/views/pmis/progress/three_phase_inspection/inspection.blade.php
@extends('master_window')
@section('head')
  <title>{{ trans('progress.progress') }}</title>
@endsection
@section('content')  
  <div class="m-portlet m-portlet--mobile">
    <div class="m-portlet__body">
      <div class="m-portlet__head">
        <div class="m-portlet__head-caption">
            <div class="m-portlet__head-title">
              <h3 class="m-portlet__head-text">{{ $plan->name }}</h3>
            </div> 
        </div>
      </div>
      <div class="m-accordion m-accordion--default m-accordion--toggle-arrow" id="m_accordion_5" role="tablist">
        <!--begin::Item-->
        <div class="m-accordion__item m-accordion__item--dark">
          <div class="m-accordion__item-head collapsed " srole="tab" id="inspection" data-toggle="collapse" href="#inspection_add" aria-expanded="false">
            <span class="m-accordion__item-title"><h4 class="m-portlet__head-text">{{ trans('inspection.add_sub_inspection') }}</h4></span>
            <span class="m-accordion__item-mode"></span>
          </div>
          <div class="m-accordion__item-body collapse" id="inspection_add" role="tabpanel" aria-labelledby="inspection" data-parent="#m_accordion_5" style="">
            <form class="m-form m-form--fit m-form--label-align-right m-form--group-seperator-dashed" id="inspectionForm" enctype="multipart/form-data">    
              <div class="form-group m-form__group row m-form__group_custom">
                <div class="col-xl-4 col-lg-4">  
                    <label class="title-custom">{{ trans('inspection.list_main') }}: <span style="color:red;">*</span></label>
                    <div id="main_insepction" class="errorDiv">
                      <select class="form-control m-input m-input--air select-2" name="main_insepction" id="req_main_insepction" onchange="bringSubInspection('req_main_insepction','req_sub_inspection',1)">
                          <option value="">{{ trans('global.select') }}</option>
                          @if($result)
                            @foreach($result as $item)
                              <option value="{{$item->id}}">{{ $item->{'name_'.$lang} }}</option>
                            @endforeach
                          @endif
                      </select>
                    </div>
                    <div class="main_insepction error-div" style="display:none;"></div>
                </div>
                <div class="col-xl-4 col-lg-4">  
                    <label class="title-custom">{{ trans('inspection.list_sub') }}: <span style="color:red;">*</span></label>
                    <div id="sub_inspection" class="errorDiv">
                      <select class="form-control m-input m-input--air select-2" name="sub_inspection" id="req_sub_inspection">
                          <option value="">{{ trans('global.select') }}</option>
                      </select>
                    </div>
                    <div class="sub_inspection error-div" style="display:none;"></div>
                </div>
                <div class="col-xl-4 col-lg-4">
                  <label class="title-custom">{{ trans('plans.status') }}: <span style="color:red;">*</span></label>
                  <div id="status" class="errorDiv">
                      <select class="form-control m-input m-input--air select-2" name="status" id="req_status">
                        <option value="">{{ trans('global.select') }}</option>
                        @if($status)
                          @foreach($status as $item)
                            <option value="{{$item->id}}">{{ $item->{'name_'.$lang} }}</option>
                          @endforeach
                        @endif
                      </select>
                  </div>
                  <div class="status error-div" style="display:none;"></div>
                </div>     
              </div>
              <div class="form-group m-form__group row m-form__group_custom">
                <div class="col-xl-12 col-lg-12">
                  <label class="title-custom">{{ trans('requests.description') }}: <span style="color:red;">*</span></label>
                  <textarea class="form-control m-input m-input--air errorDiv" name="description" id="description" rows="3"></textarea>
                  <div class="description error-div" style="display:none;"></div>
                </div>
              </div>
              <div class="form-group m-form__group row m-form__group_custom">
                <div class="col-lg-12">
                  <input name="bill_quant_id" type="hidden" value="{{ decrypt($bq_id) }}"/>
                  <input name="project_id" type="hidden" value="{{ $pro_id }}"/>
                  <input name="location_id" type="hidden" value="{{ $locId }}"/>
                  <button type="button" onclick="storeRecord('{{route('three_phase_Inspection.store')}}','inspectionForm','POST','response_div',redirectFunction,false,this.id);" id="add" class="btn btn-primary">{{ trans('global.submit') }}</button>
                  <button type="button" onclick="redirectFunction()" class="btn btn-secondary">{{ trans('global.cancel') }}</button>
                </div>
              </div>
            </form>
          </div>
        </div>
        <!--end::Item-->
        <div class="m-portlet m-portlet--full-height">
          <div class="m-accordion m-accordion--default m-accordion--toggle-arrow" id="m_accordion_5" role="tablist">
            <!--begin::Item-->
            <div class="m-accordion__item m-accordion__item--dark">
              <div class="m-accordion__item-head collapse show" srole="tab" id="inspection_tree" data-toggle="collapse" href="#inspection_tree" aria-expanded="true">
                  <span class="m-accordion__item-title"><h4 class="m-portlet__head-text">{{ trans('inspection.list_categories') }}</h4></span>
                  <span class="m-accordion__item-mode"></span>
              </div>
              <div class="m-accordion__item-body collapse show" id="inspection_tree" role="tabpanel" aria-labelledby="inspection_tree" data-parent="#m_accordion_5" style="">
                <div class="m-accordion__item-content">
                  <!--begin: Portlet Body-->
                  <div class="form-group m-form__group row m-form__group_custom">  
                    <div class="col-lg-12" id="inspection_tree_div">
                      <ul>
                        @if($inspection)
                          @foreach($inspection as $res)
                            <li>{{ $res->{'name_'.$lang} }}
                              @if($res->inspectionSub)
                                <ul>
                                  @foreach($res->inspectionSub as $inspectionSub)
                                    <li id="{{ $inspectionSub->id }}">{{ $inspectionSub->{'name_'.$lang} }}</li>                                    
                                  @endforeach    
                                </ul>
                              @endif
                            </li>
                          @endforeach
                        @endif
                      </ul>
                    </div>
                  </div>
                </div>
              </div>
              <div class="m-accordion__item-body collapse show" id="inspection_tree" role="tabpanel" aria-labelledby="inspection_tree" data-parent="#m_accordion_5" style="">
                <div class="m-accordion__item-content">
                  <!--begin: Portlet Body-->
                  <div class="col-lg-12" id="details_div"></div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>  
@endsection
@section('js-code')
  <script type="text/javascript">
    $(function () {
      $('#inspection_tree_div').jstree();
      $('#inspection_tree_div').on("changed.jstree", function (e, data) {
        var nodeId = $('#inspection_tree_div').jstree().get_selected("id")[0].id;
          $.ajax({
            url: '{{ route("getInspectionDetails") }}',
            data: {
                "_method" : 'GET',
                "id"      : nodeId,
                "bq_id"   : "{{ decrypt($bq_id) }}",
            },
            type: 'GET',
            success: function(response)
            {
              $("#details_div").html(response);
            }
          });
      });
    });
  </script>
@endsection
 

resources/views/pmis/progress/three_phase_inspection/list_ajax.blade.php
<table class="table table-bordered table-hover table-checkable">
    <thead>
        <tr class="bg-light">
            <th width="40%">{{ trans('estimation.operation_type') }}</th>
            <th width="10%">{{ trans('estimation.unit') }}</th>
            <th width="10%">{{ trans('estimation.amount') }}</th>
            <th width="10%">{{ trans('estimation.total_price') }}</th>
            <th width="15%">{{ trans('estimation.percentage') }}</th>
            <th width="10%">{{ trans('inspection.total_inspection') }}</th>
            <th width="5%">{{ trans('global.action') }}</th>
        </tr>
    </thead>
    <tbody style="width: auto;overflow-x: auto;white-space: nowrap;">
        @php
            $bq_section = 0;
        @endphp
        @foreach($records as $item)
            @if($bq_section != $item->bq_section_id)
                @php
                    $bq_section = $item->bq_section_id;
                @endphp
                <tr style="background: #5b99bf4a">
                    <td colspan="10" class="text-center title-custom">
                        {{ $item->bq_section->{'name_'.$lang} }}
                    </td>
                <tr>
            @endif
            <tr>
                <td>{{ limit_text($item->operation_type) }}</td>
                <td>@if($item->unit) {{ $item->unit->name_dr }} @endif</td>
                <td>{{ $item->amount }}</td>
                <td>{{ $item->total_price }}</td>
                <td>{{ getPercentage($plan->procurement['contract_price'],$item->total_price) }} %</td>
                <td>{{ $item->inspection->count() }}</td>
                <td>
                    <span class="dtr-data">
                        <span class="dropdown">
                            <a href="#" class="btn m-btn m-btn--hover-brand m-btn--icon m-btn--icon-only m-btn--pill" data-toggle="dropdown"  aria-expanded="false"><i class="la la-ellipsis-h"></i></a>
                                <div class="dropdown-menu dropdown-menu-right" x-placement="bottom-end" style="position: absolute; will-change: transform; top: 0px; left: 0px;">
                                <span class="dropdown-item btn btn-secondary btn-dark" onclick="openWindow('{{ route('three_phase_Inspection/show',[$enc_id,encrypt($item->id),encrypt($project_location_id)] )}} ')"><i class="la la-eye"></i>{{ trans('global.inspect_bill_of_quantity') }}</span>
                                </div>
                        </span>
                    </span>
                </td>
            </tr>      
        @endforeach
    </tbody>
</table>
<!-- Pagination -->
@if(!empty($records))
    {!!$records->links('pagination')!!}
@endif
<script type="text/javascript">
  $(document).ready(function()
  {
    $('.pagination a').on('click', function(event) {
      event.preventDefault();
      if ($(this).attr('href') != '#') {
        // Get current URL route
        document.cookie = "no="+$(this).text();
        var dataString = '';
        dataString += "&page="+$(this).attr('id')+"&ajax="+1;
        $.ajax({
                url:  '{{ url()->current() }}',
                data: dataString,
                type: 'get',
                beforeSend: function(){
                  $('#searchresult').html('<span style="position:relative;left:30%;"><img alt="" src="{!!asset('public/img/loader.gif')!!}" /></span>');
                },
                success: function(response)
                {
                  $('#searchresult').html(response);
                }
            }
        );
      }
    });
  });
</script>

resources/views/pmis/progress/three_phase_inspection/sub_Inspection_Dropdown.blade.php
<option value="">{{ trans('global.select') }}</option>
@if($result)
    @foreach($result as $item)
        <option value="{{$item->id}}">{{ $item->{'name_'.$lang} }}</option>
    @endforeach
@endif
<script type="text/javascript">
    $(".select-2").select2();
</script>

resources/views/pmis/progress/three_phase_inspection/sub_inspection_add.blade.php
<div id="sub_div" class="row">
  <div class="col-lg-12">
    <div class="m-portlet">
      <div class="m-portlet__head">
        <div class="m-portlet__head-caption">
          <div class="m-portlet__head-title">
            <h3 class="m-portlet__head-text">{{ trans('inspection.add_new_inspection') }}</h3>
          </div>
        </div>
      </div>
      <!--begin::Form-->
      <form class="m-form m-form--fit m-form--label-align-right m-form--group-seperator-dashed" enctype="multipart/form-data" id="requestForm" method="post">
        <div class="m-portlet__body">
          <div class="form-group m-form__group row m-form__group_custom">  
            <div class="col-lg-12">
              <label class="title-custom">{{ trans('inspection.inspection_name_dr') }} : <span style="color:red;">*</span></label>
              <input class="form-control m-input errorDiv" type="text" name="name_dr" id="name_dr">
              <div class="name_dr error-div" style="display:none;"></div>
            </div>
            <div class="col-lg-12">
              <label class="title-custom">{{ trans('inspection.inspection_name_pa') }} : <span style="color:red;">*</span></label>
              <input class="form-control m-input errorDiv" type="text" name="name_pa" id="name_pa">
              <div class="name_pa error-div" style="display:none;"></div>
            </div>
            <div class="col-lg-12">
              <label class="title-custom">{{ trans('inspection.inspection_name_en') }} : <span style="color:red;">*</span></label>
              <input class="form-control m-input errorDiv" type="text" name="name_en" id="name_en">
              <div class="name_en error-div" style="display:none;"></div>
            </div>
          </div>  
          <input class="form-control m-input errorDiv" type="hidden" name="enc_id" id="enc_id" value="{!! $enc_id !!}">
          <div class="form-group m-form__group row m-form__group_custom">
            <div class="col-lg-12">
              <div class="m-portlet__foot m-portlet__no-border m-portlet__foot--fit">
                <div class="m-form__actions m-form__actions--solid">
                  <button type="button" onclick="storeRecord('{{route('storeSubInspection',$enc_id)}}','requestForm','POST','response_div',redirectFunction,false,this.id);" id="add" class="btn btn-primary">{{ trans('global.submit') }}</button>
                  <button type="button" onclick="redirectFunction()" class="btn btn-secondary">{{ trans('global.back') }}</button>
                </div>
              </div>
            </div>
          </div>
        </div>
        @csrf
      </form>
      <!--end::Form-->
    </div>
  </div>
</div>
<script type="text/javascript">
  $(".select-2").select2();
</script>